Skip to main content
Update hardware model
Authentication · API availability · Download OpenAPI
This operation can change resources or access. After signing in, open API request settings and select Enable modifying requests, then Apply settings, to use its playground. Check the request body and destination before selecting Send. Your existing API permissions still apply.

Authorizations

Authorization
string
header
required

Bearer token for user session

Headers

X-Request-Id
string

User-Agent specified id to track a request

Path Parameters

id
string
required

System defined universally unique Id of the model.

Body

application/json

SysModel consists of various model attributes like id, name, title, brandId etc

name
string
required

user defined model name

Required string length: 3 - 256
Pattern: [a-zA-Z0-9][a-zA-Z0-9_.-]+
title
string
required

User defined title of the model. Title can be changed at any time.

Required string length: 3 - 256
Pattern: [a-zA-Z0-9]+[a-zA-Z0-9!-~ ]+
brandId
string
required

System defined universally unique Id of the brand.

Pattern: [a-fA-F0-9]{8}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{12
state
enum<string>
default:SYS_MODEL_STATE_UNSPECIFIED
required

SysModel State which denotes the status of the model

Available options:
SYS_MODEL_STATE_UNSPECIFIED,
SYS_MODEL_STATE_ARCHIVE,
SYS_MODEL_STATE_ACTIVE
type
enum<string>
default:UNSPECIFIED
required

Defines the Architecture type of the model

Available options:
UNSPECIFIED,
UNDEFINED,
AMD64,
ARM64
attr
object
required

Map of <string, string> which defines attr

originType
enum<string>
default:ORIGIN_UNSPECIFIED
required

origin of object

Available options:
ORIGIN_UNSPECIFIED,
ORIGIN_IMPORTED,
ORIGIN_LOCAL,
ORIGIN_GLOBAL,
ORIGIN_APP_PROFILE_LOCAL
description
string

Detailed description of the model.

Maximum string length: 256
productStatus
string

Product status

productURL
string

Product URL

brandName
string

Brand name.

ioMemberList
ioMember payload details · object[]

List of IoMembers

Map of <string, string> which holds the key:url for the logo artifact of the model

parentDetail
Object Import Detail · object

origin and parent related details

PCRTemplates
PCR template · object[]

PCR templates keyed by EVE version

isImported
boolean

Flag to represent whether sysModel is imported

Response

A successful response.

operationType
enum<string>
default:OPS_TYPE_UNSPECIFIED
Available options:
OPS_TYPE_UNSPECIFIED,
OPS_TYPE_READ,
OPS_TYPE_DELETE,
OPS_TYPE_CREATE,
OPS_TYPE_UPDATE,
OPS_TYPE_LIST
operationStatus
enum<string>
default:OPS_STATUS_UNSPECIFIED
  • OPS_STATUS_PENDING: In rare cases, system may not start operation when it was requested. Client will be notified that operation is PENDING
  • OPS_STATUS_ONGOING: system will start the operation, but at the time response was generated, operation is still ONGOING.
  • OPS_STATUS_COMPLETE: Even if the result of the operations may result in failure, but the OpsStatus will marked COMPLETE for almost all cases.
Available options:
OPS_STATUS_UNSPECIFIED,
OPS_STATUS_PENDING,
OPS_STATUS_ONGOING,
OPS_STATUS_COMPLETE
objectKind
string
objectId
string
objectName
string
objectRevision
string
objectType
enum<string>
default:OBJECT_TYPE_UNSPECIFIED
Available options:
OBJECT_TYPE_UNSPECIFIED,
OBJECT_TYPE_USER,
OBJECT_TYPE_EDGE_NODE,
OBJECT_TYPE_EDGE_APP,
OBJECT_TYPE_IMAGE,
OBJECT_TYPE_EDGE_APP_INSTANCE,
OBJECT_TYPE_PROJECT,
OBJECT_TYPE_NETWORK,
OBJECT_TYPE_DATASTORE,
OBJECT_TYPE_SERVICE,
OBJECT_TYPE_SERVICE_INSTANCE,
OBJECT_TYPE_ENTERPRISE,
OBJECT_TYPE_ROLE,
OBJECT_TYPE_CREDENTIAL,
OBJECT_TYPE_NETWORK_INSTANCE,
OBJECT_TYPE_VOLUME_INSTANCE,
OBJECT_TYPE_REALM,
OBJECT_TYPE_AUTHPROFILE,
OBJECT_TYPE_POLICY,
OBJECT_TYPE_APP_POLICY,
OBJECT_TYPE_CLUSTER_INSTANCE,
OBJECT_TYPE_PLUGIN,
OBJECT_TYPE_DOC_POLICY,
OBJECT_TYPE_ORCHESTRATOR_CLUSTER,
OBJECT_TYPE_TAGS,
OBJECT_TYPE_EDGE_NODE_INTERFACE,
OBJECT_TYPE_DEPLOYMENT,
OBJECT_TYPE_ENTITLEMENTS,
OBJECT_TYPE_DATA_STREAM,
OBJECT_TYPE_API_USAGE,
OBJECT_TYPE_APP_INSTANCE_SNAPSHOT,
OBJECT_TYPE_PATCH_ENVELOPE,
OBJECT_TYPE_RESOURCE_USAGE_TRACK,
OBJECT_TYPE_PATCH_ENVELOPE_REFERENCE,
OBJECT_TYPE_DEV_PASSTHROUGH,
OBJECT_TYPE_EDGE_NODE_CLUSTER,
OBJECT_TYPE_ASSET_GROUP,
OBJECT_TYPE_APP_PROFILE,
OBJECT_TYPE_PROFILE_DEPLOYMENT,
OBJECT_TYPE_ZKS_INSTANCE,
OBJECT_TYPE_CLUSTER_GROUP
operationTime
string
startTime
string
endTime
string
user
string
httpStatusCode
integer<int32>
httpStatusMsg
string
jobId
string
error
one or more errors will be set if the operation failed i.e. httpStatusCode != 2xx · object[]